summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2015-01-25 09:43:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-27 06:42:21 +0700
commitd4ff4587e6e7af4db0fb537f67f1ff3713902bef (patch)
treea061ddf6c613dbc3e9fe0807bcc02eef9d04ae72
parenta17310ddbdd6a88c7823a646d923d5e121f70946 (diff)
downloadslackbuilds-d4ff4587e.tar.gz
slackbuilds-d4ff4587e.tar.xz
development/textadept: Added (a minimalist text editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/textadept/README7
-rw-r--r--development/textadept/slack-desc19
-rw-r--r--development/textadept/textadept.SlackBuild95
-rw-r--r--development/textadept/textadept.info10
4 files changed, 131 insertions, 0 deletions
diff --git a/development/textadept/README b/development/textadept/README
new file mode 100644
index 0000000000..1be28a5735
--- /dev/null
+++ b/development/textadept/README
@@ -0,0 +1,7 @@
+Textadept is a fast, minimalist, and remarkably extensible cross-platform
+text editor for programmers.
+
+Written in a combination of C and Lua and relentlessly optimized for
+speed and minimalism over the years, Textadept is an ideal editor for
+programmers who want endless extensibility without sacrificing speed or
+succumbing to code bloat and featuritis.
diff --git a/development/textadept/slack-desc b/development/textadept/slack-desc
new file mode 100644
index 0000000000..7072df7090
--- /dev/null
+++ b/development/textadept/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+textadept: textadept (a minimalist text editor)
+textadept:
+textadept: A fast, minimalist, and remarkably extensible
+textadept: cross-platform text editor.
+textadept:
+textadept:
+textadept:
+textadept:
+textadept: http://foicica.com/textadept/
+textadept:
+textadept:
diff --git a/development/textadept/textadept.SlackBuild b/development/textadept/textadept.SlackBuild
new file mode 100644
index 0000000000..008928d8cd
--- /dev/null
+++ b/development/textadept/textadept.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+# Slackware build script for textadept
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License
+# along with this program (most likely, a file named COPYING). If
+# not, see <http://www.gnu.org/licenses/>.
+
+PRGNAM=textadept
+VERSION=${VERSION:-7.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SRCARCH=i386
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SRCARCH=i386
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ SRCARCH=x86_64
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ SRCARCH=i386
+fi
+
+DOCS="CHANGELOG.md FAQ.md LICENSE MEDIA.md README.md TECHNOLOGY.md THANKS.md"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM\_$VERSION.$SRCARCH
+tar xvf $CWD/$PRGNAM\_$VERSION.$SRCARCH.tgz
+cd $PRGNAM\_$VERSION.$SRCARCH/
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM/
+cp -a * $PKG/opt/$PRGNAM/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin/
+ln -sf /opt/$PRGNAM/"${PRGNAM}"* $PKG/usr/bin/
+
+mkdir -p $PKG/usr/share/pixmaps/
+ln -sf /opt/$PRGNAM/core/images/${PRGNAM}.png $PKG/usr/share/pixmaps/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/textadept/textadept.info b/development/textadept/textadept.info
new file mode 100644
index 0000000000..7c69d31c89
--- /dev/null
+++ b/development/textadept/textadept.info
@@ -0,0 +1,10 @@
+PRGNAM="textadept"
+VERSION="7.7"
+HOMEPAGE="http://foicica.com/textadept/"
+DOWNLOAD="http://foicica.com/textadept/download/textadept_7.7.i386.tgz"
+MD5SUM="b36783d74f7a417d8ed9957506e5e521"
+DOWNLOAD_x86_64="http://foicica.com/textadept/download/textadept_7.7.x86_64.tgz"
+MD5SUM_x86_64="4f2b9ea5c1937a706f0828de8c564d62"
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"